Bug 57422 - /bin/mail not expanding multiple aliases on command line
Summary: /bin/mail not expanding multiple aliases on command line
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mailx   
(Show other bugs)
Version: 7.1
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-12 02:56 UTC by Robert M. Riches Jr.
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 12:40:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert M. Riches Jr. 2001-12-12 02:56:45 UTC
Description of Problem:
When using /bin/mail to send messages, putting multiple
comma-separated personal aliases (defined in .mailrc) as
to-addr fails in the shell command.  This contrasts with
putting multiple comma-separated aliases at the '&' prompt,
putting a single alias in either the shell command or at
the '&' prompt.

Version-Release number of selected component (if applicable):
mailx-8.1.1-21

How Reproducible:
fully reproducible

Steps to Reproduce:
1. at shell prompt, type "mail <alias1>,<alias2>" where <alias1> and
   <alias2> are each defined as aliases in the .mailrc file.
2. 
3. 

Actual Results:
A "User unknown" error message for each of the aliases.

Expected Results:
The message should be sent to the expansion of the aliases, which is
what happens when typing the same command at the '&' prompt inside
/bin/mail.

Additional Information:

Comment 1 Ivana Varekova 2004-11-04 12:40:10 UTC
Thank you for your notice.
If you want to mail to two aliases use command 
mail <alias1> <alias2>
where aliases are separated by spaces.
IV



Note You need to log in before you can comment on or make changes to this bug.